<?php
/**
 * @var \NextBits\CustomCode\Block\Widget\FeaturedProducts $block
 */
$productCollection = $block->getProductCollection();
$hasProducts  = count($productCollection) > 0;
?>
<?php if ($hasProducts): ?>
    <div class="featured-products">
    <?php foreach ($productCollection as $product): ?>
        <div class="product-entity">
            <?= $block->getImage($product, 'new_products_content_widget_grid')->toHtml() ?>
            <span><?= $product->getName()?></span>
        </div>
    <?php endforeach; ?>
    </div>
<?php endif;?>
